Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_transition.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_transition.cpp	(revision 146)
@@ -1,4 +1,3 @@
 #ifdef SYSTEMC
-//#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
 /*
  * $Id$
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/src/Reservation_station_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/src/Reservation_station_transition.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/src/Reservation_station_transition.cpp	(revision 146)
@@ -1,4 +1,3 @@
 #ifdef SYSTEMC
-//#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
 /*
  * $Id$
@@ -360,5 +359,7 @@
     dump_queue();
 
+#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
     end_cycle ();
+#endif
 
     log_end(Reservation_station,FUNCTION);
@@ -375,3 +376,2 @@
 }; // end namespace morpheo              
 #endif
-//#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/include/Read_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/include/Read_unit.h	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/include/Read_unit.h	(revision 146)
@@ -197,5 +197,5 @@
   private : void        deallocation              (void);
 					       
-#ifdef SYSTEMC				       
+#ifdef SYSTEMC
 # if defined(STATISTICS) or defined(VHDL_TESTBENCH)
   public  : void        transition                (void);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/src/Read_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/src/Read_unit.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/src/Read_unit.cpp	(revision 146)
@@ -72,4 +72,5 @@
 
 #ifdef SYSTEMC
+# if defined(STATISTICS) or defined(VHDL_TESTBENCH)
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +84,7 @@
 	// List dependency information
 # endif    
-	
+      }
+# endif
 #endif
-      }
     log_printf(FUNC,Read_unit,FUNCTION,_("<%s> End"),_name.c_str());
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/src/Read_unit_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/src/Read_unit_transition.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/src/Read_unit_transition.cpp	(revision 146)
@@ -1,3 +1,4 @@
 #ifdef SYSTEMC
+# if defined(STATISTICS) or defined(VHDL_TESTBENCH)
 /*
  * $Id$
@@ -24,7 +25,5 @@
     log_printf(FUNC,Read_unit,FUNCTION,"Begin");
 
-#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
     end_cycle ();
-#endif
 
     log_printf(FUNC,Read_unit,FUNCTION,"End");
@@ -39,3 +38,4 @@
 }; // end namespace behavioural
 }; // end namespace morpheo              
+# endif
 #endif
